const loadAtlas = (name: string) => {
    return new Promise((resolve, reject) => {
        RES.getResByUrl(`resource/TextureMerger/${name}.json`, (sheet: egret.SpriteSheet) => {
            resolve(this);
        }, this, RES.ResourceItem.TYPE_SHEET);
    });
}


// const loadAtlas = (name: string) => {
//     return new Promise((resolve, reject) => {
//         RES.getResByUrl(`resource/TextureMerger/${name}.json`, (sheet: egret.SpriteSheet) => {
//             resolve(this);
//         }, this, RES.ResourceItem.TYPE_SHEET);
//     });
// }